Skip to main content
GET
/
v2
/
invoices
/
{invoiceId}
Get Invoice
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "number": "<string>",
  "externalNumber": "<string>",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "departureCountry": {
    "countryISO": "<string>",
    "state": "<string>",
    "currencyIso": "<string>",
    "currencyFactor": 123
  },
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "billingAddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "shipmentAddress": {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "company": "<string>",
    "company2": "<string>",
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "countryIso": "<string>",
    "vatID": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "emailAddress": "<string>",
    "fax": "<string>"
  },
  "invoiceDate": "2023-11-07T05:31:56Z",
  "invoicePaymentDetails": {
    "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "totalGrossAmount": 123,
    "currencyIso": "<string>",
    "currencyFactor": 123,
    "stillToPay": 123,
    "paymentTarget": 123,
    "cashDiscount": 123,
    "cashDiscountDays": 123,
    "stopPaymentRequest": true,
    "dunningLevel": 123,
    "nextDueDate": "2023-11-07T05:31:56Z"
  },
  "colorcodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "dunningBlock": true,
  "isExternalInvoice": true,
  "comment": "<string>",
  "customerComment": "<string>",
  "isCancelled": true,
  "languageIso": "<string>",
  "cancellationDetails": {
    "cancellationReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "cancellationComment": "<string>",
    "date": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

invoiceId
string<uuid>
required

The ID of the invoice to return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the invoice for the given ID.

Model Class: Invoice

id
string<uuid>

Unique ID to identify an invoice.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

The number of the invoice.

externalNumber
string

The external number of the sales order.

companyId
string<uuid>

The company ID on the invoice.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountry
object

The departure country information on the invoice. If none is indicated, it will be determined from the company's information.

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

The address to which the invoice is issued.

shipmentAddress
object

The adress to which the goods are shipped.

invoiceDate
string<date-time>

The date when the invoice was created.

invoicePaymentDetails
object

Payment-specific information of the sales invoice.

colorcodeId
string<uuid>

The colour code of the invoice.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

dunningBlock
boolean

The creation of dunning letters is blocked.

isExternalInvoice
boolean

Indicates if the invoice of the sales order was created in an external system like Amazon VCS.

comment
string

A comment on the sales order.

customerComment
string

A customer comment on the sales order.

isCancelled
boolean

Indicates if the invoice has been cancelled.

languageIso
string

The language of the invoice.

cancellationDetails
object

The cancellation details in case the invoice has been cancelled.